Package: groovy.org.codenarc.ruleset

## [Groovy] Class CompositeRuleSet

- groovy.org.codenarc.ruleset.CompositeRuleSet

- All Implemented Interfaces and Traits:
    RuleSet

      class CompositeRuleSet

  A `RuleSet` implementation that aggregates a set of RuleSets and Rules.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addRule(Rule rule)` Add a single Rule to this RuleSet
    `` | `void` | `addRuleSet(RuleSet ruleSet)` Add all of the Rules within the specified RuleSet to this RuleSet

    ``

    `List`

    `getRules()`
    Returns:
      a List of Rule objects.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### void addRule(Rule rule)

      Add a single Rule to this RuleSet

      Parameters:
        `rule` - - the Rule to add

    - #### void addRuleSet(RuleSet ruleSet)

      Add all of the Rules within the specified RuleSet to this RuleSet

      Parameters:
        `ruleSet` - - the RuleSet whose Rules are to be included

    - #### List getRules()

      Returns:
        a List of Rule objects. The returned List is immutable.